Skip to main content

GET /v1/orders/{id}

Scope

read_orders

Request parameters

NameInTypeRequiredDescription
idpathstringrequiredID of the target resource.

Response example

{
"data": {
"id": "1001",
"ordered_at": "2026-06-01T03:00:00Z",
"updated_at": "2026-06-01T03:30:00Z",
"status": "init",
"payment_method": "card",
"total": {
"amount": 3200,
"currency": "JPY"
},
"is_subscription": true,
"inflow_route": {
"id": "12",
"code": "gift-quick",
"name": "ギフトクイックURL"
},
"gift_status": "none",
"gift_source_order_id": "1000",
"sub_total": {
"amount": 3200,
"currency": "JPY"
},
"shipping_cost": {
"amount": 3200,
"currency": "JPY"
},
"option_price": {
"amount": 3200,
"currency": "JPY"
},
"purchaser": {
"last_name": "string",
"first_name": "string",
"zip": "string",
"prefecture": "string",
"city": "string",
"address_1": "string",
"address_2": "string",
"phone": "string"
}
}
}

Description

Get an order header

Error response example

{
"error": {
"code": "insufficient_scope",
"message": "requires scope 'read_orders'",
"request_id": "req_01H..."
}
}

Possible errors: 401 / 403 / 404